--- title: "Edit Geo and CIDR map" slug: "geocidr-map-edit" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/geocidr-map-edit" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit Geo and CIDR map Available in Classic and VPC Edit the information of a specified Geo/CIDR map. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PUT | /gtm/v1/maps/{mapId} | ### Request headers For information about the headers common to all Geo/CIDR map APIs, see [Geo/CIDR map API request headers](/docs/en/geocidr-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `mapId` | Integer | Required | Geo/CIDR map ID - See [View Geo/CIDR map](/docs/en/geocidr-view) | ### Request syntax The request syntax is as follows. ``` { "detailedMapList": [ { "content": "10.10.10.0/24", "geoIdMappings": [ { "geoName": "America", "geoType": "NATION" } ], "id": 1, "name": "map1" } ], "id": 1, "mapType": "GEO", "name": "map1" } ``` ### Request body See [MapRequest](/docs/en/map-request#%ED%95%84%EB%93%9C) for the request body. ### Request example The following is a sample request. ``` curl --location --request PUT 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/maps/***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "detailedMapList": [ { "content": "Afghanistan", "geoIdMappings": [ { "geoName": "Afghanistan", "geoType": "NATION" } ], "id": ***, "name": "map001" } ], "id": ***, "mapType": "GEO", "name": "map001" }' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Geo/CIDR map APIs, see [Geo/CIDR map API response status codes](/docs/en/geocidr-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Error code example The following is a sample error code. ``` { "result": "FAIL", "error": { "errorCode": "05X000", "message": "Invalid value.
Hover your mouse over the displayed area to see the details in a tooltip.", "devMessage": "Invalid value.", "moreInfo": { "validationInfo": [ { "fieldPath": "detailedMapList[0].content", "msg": "No. 1: The subnet information is invalid. E.g., Valid subnets: 10.20.145.0/24,10.10.130.0/25 | Invalid subnets: 192.12.21.12/24" } ], "timestamp": "2022-11-16T19:17:59.594+09:00" } } } ```